API Reference
Validate task YAML without saving
POST
/api/tasks/validate
Validate task YAML without saving
Operation IDvalidateTaskYaml
Authentication
- BearerAuth
http bearerAPI key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.
Request body
This request body is required.
Content typeapplication/json
requestobject1 property
yaml_contentstringrequiredSuccess response body
200Validation result
Validation result
Content typeapplication/json
responseobject4 properties
validbooleanstep_countintegerconnectorsarray<string>Array items
itemstringissuesarray<object>Array items
itemobject4 properties
severitystringmessagestringstepstringfieldstringError responses
400Validation error
Validation error
Content typeapplication/json
responseobject2 properties
errorstringmessagestringExample response
{
"error": "VALIDATION_ERROR",
"message": "Invalid input"
}